/*
    ************************************************
    folderHorizon gallery.js
    * Loaded with project_gallery_wrapper.tpl
    ************************************************
*/

// Gallery view grid/rows
document.getElementById('galleryViewBtn').addEventListener('click', function () {
    this.classList.toggle('rows');
    document.getElementById('gallery').classList.toggle('rows');
});

// PhotoSwipe gallery
var lightbox = new PhotoSwipeLightbox({
    gallery: '#gallery',
    children: 'a',
    bgOpacity: 0.9,
    // dynamic import is not supported in UMD version
    pswpModule: PhotoSwipe
});

// PhotoSwipe caption
var captionPlugin = new PhotoSwipeDynamicCaption(lightbox, {
    type: 'below',
    mobileLayoutBreakpoint: 700, // 600 > 750
    mobileCaptionOverlapRatio: 1
});

lightbox.init();
